

// // // //


загрузитьМодельЭтогоМодуля = (мир, ресурс, откликУспех, откликПровал = null) =>
{
    загрузитьМодель(мир, УКАЗАТЕЛЬ_ЭТОГО_МОДУЛЯ, ресурс, откликУспех, откликПровал);
};


// // // //


загрузитьМодель = (мир, модуль, ресурс, откликУспех, откликПровал = null) =>
{
    var м = мир.модули.модульПоУказателю(модуль);
    var адрес = `${window.location.origin}${ресурс}`;
    THREE.Cache.enabled = true;
    THREE.Cache.add(адрес, м.содержимое[ресурс]);
    мир.модельер.load(
        адрес,
        function(gltf) {
            // Вычленяем полигональную сетку.
            // Take polygon mesh.
            var успех = false;
            gltf.scene.traverse(function(ребёнок) {
                if (!успех && ребёнок.isMesh)
                {
                    откликУспех(ребёнок);
                    успех = true;
                }
            });
            if (успех)
            {
                return;
            }
            var ошибка = "ОШИБКА ⚬ 错误 ⚬ ERROR: Отсутствует полигональная сетка  ⚬ 不存在多边形网格 ⚬ Polygon mesh is absent";
            console.error(ошибка, модуль, ресурс);
            откликПровал();
        },
        null,
        function(error) {
            var ошибка = "ОШИБКА ⚬ 错误 ⚬ ERROR: Отсутствует ресурс  ⚬ 资源不存在  ⚬ Resource is absent";
            console.error(ошибка, модуль, ресурс);
            откликПровал();
        }
    );
};